ch.qos.logback.core.pattern.parser

## Class SimpleKeywordNode

- java.lang.Object
- - ch.qos.logback.core.pattern.parser.Node
  - - ch.qos.logback.core.pattern.parser.FormattingNode
    - - ch.qos.logback.core.pattern.parser.SimpleKeywordNode

Direct Known Subclasses:
  CompositeNode

    public class SimpleKeywordNode
    extends FormattingNode

### Constructor Summary

Constructors
`protected` `SimpleKeywordNode(int type, java.lang.Object value)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.util.List<java.lang.String>` `getOptions()`
`int` `hashCode()`
`void` `setOptions(java.util.List<java.lang.String> optionList)`
`java.lang.String` `toString()`

### Methods inherited from class ch.qos.logback.core.pattern.parser.FormattingNode

`getFormatInfo, setFormatInfo`

### Methods inherited from class ch.qos.logback.core.pattern.parser.Node

`getNext, getType, getValue, setNext`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimpleKeywordNode

    protected SimpleKeywordNode(int type,
                     java.lang.Object value)

### Method Detail

#### getOptions

    public java.util.List<java.lang.String> getOptions()

#### setOptions

    public void setOptions(java.util.List<java.lang.String> optionList)

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `FormattingNode`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `FormattingNode`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `Node`